Update a WAAS signature policy by walletId and policyId
PUT
/
environments
/
{environmentId}
/
waas
/
{walletId}
/
signaturePolicy
/
{policyId}
Update a WAAS signature policy by walletId and policyId
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/signaturePolicy/{policyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policyContent": [
{
"toAddresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"valueLimits": [
{
"asset": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"maxPerCall": "<string>"
}
]
}
],
"timeLimit": 2
}
'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/signaturePolicy/{policyId}"
payload = {
"policyContent": [
{
"toAddresses": ["0xbF394748301603f18d953C90F0b087CBEC0E1834"],
"valueLimits": [
{
"asset": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"maxPerCall": "<string>"
}
]
}
],
"timeLimit": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policyContent: [
{
toAddresses: ['0xbF394748301603f18d953C90F0b087CBEC0E1834'],
valueLimits: [{asset: '0xbF394748301603f18d953C90F0b087CBEC0E1834', maxPerCall: '<string>'}]
}
],
timeLimit: 2
})
};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/{walletId}/signaturePolicy/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"walletId": "95b11417-f18f-457f-8804-68e361f9164f",
"expiresAt": "2023-11-07T05:31:56Z",
"policyContent": [
{
"chain": "EVM",
"toAddresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"valueLimits": [
{
"asset": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"maxPerCall": "<string>"
}
]
}
]
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Not Found",
"code": "not_found"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
The ID of the signature policy for the wallet
Body
application/json
Array of policy rules, each defining allowed addresses, chain, and value limits for different assets
Minimum array length:
1Show child attributes
Show child attributes
Time limit in seconds until the policy expires. Must be greater than 0 seconds.
Required range:
x >= 1Response
WAAS signature policy updated successfully
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Timestamp when the policy expires
Array of policy rules, each defining allowed addresses, chain, and value limits for different assets
Minimum array length:
1Show child attributes
Show child attributes
Last modified on January 28, 2026
Was this page helpful?
⌘I
Update a WAAS signature policy by walletId and policyId
